Fix sdc-BE-init container startup
Remove the while true in the startup.sh script that
prevents the container to stop.
Change-Id: If4acc41dde6e1b8d7f726adfef30ab6ddf20b640
Issue-ID: SDC-2724
Signed-off-by: andre.schmid <andre.schmid@est.tech>
diff --git a/catalog-be/sdc-backend-init/startup.sh b/catalog-be/sdc-backend-init/startup.sh
index 1f3717a..0a96e49 100644
--- a/catalog-be/sdc-backend-init/startup.sh
+++ b/catalog-be/sdc-backend-init/startup.sh
@@ -1,8 +1,6 @@
#!/bin/sh
-cd /root/chef-solo
-chef-solo -c solo.rb -E ${ENVNAME}
-
-while true; do sleep 2; done
-#rc=$?
-#if [[ $rc != 0 ]]; then exit $rc; fi
+cd /root/chef-solo || exit $?
+chef-solo -c solo.rb -E "${ENVNAME}"
+rc=$?
+if [ $rc != 0 ]; then exit $rc; fi